No JS in 0.12.0~svn2018-6ubuntu2

Bug #568275 reported by godsyn on 2010-04-22
290
This bug affects 50 people
Affects Status Importance Assigned to Milestone
mediatomb (Ubuntu)
Wishlist
Unassigned
Lucid
Medium
Unassigned
Maverick
Wishlist
Unassigned
Natty
Wishlist
Unassigned

Bug Description

Binary package hint: mediatomb

Description: Ubuntu lucid (development branch)
Release: 10.04

In mediatomb-daemon 0.12.0~svn2018-6ubuntu2 I'm no longer able to start the service as it was not compiled with JS support.

2010-04-22 04:03:08 ERROR: MediaTomb was compiled without js support, however you specified "js" to be used for the virtual-layout.

Please recompile w/js support.

Chris Coulson (chrisccoulson) wrote :

This was disabled deliberately because it was still depending on libmozjs, which we removed ages ago. It doesn't build against the latest xulrunner because it hard-codes header paths rather than using pkg-config, and is looking in all the wrong places for headers. I don't have the time to fix this, so it was a choice between disabling spidermonkey support or dropping it from the archive altogether

Changed in mediatomb (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
grendelkhan (scottricketts) wrote :

The default config file is designed for the js enabled version. If js support is going to be removed, can the config file be rewritten to be functional without it? As is, the package installs but does not run.

Raik Bieniek (jinto) wrote :

I've made a patch to link mediatomb against xulrunner. Maybe there is a better solution to handle the dependencies to xulrunner, but at least it works for me.

I've also made a PPA if this feature doesn't get into lucid. It can be found here:
https://launchpad.net/~jinto/+archive/mediatomb-js

godsyn (godsyn) wrote :

Raik Bieniek, I'm using your PPA. It is working well. Thank you for the time and effort put into this.

MikeN (mike-mtb) wrote :

I'll give this a try myself, otherwise my media server is going back 9.10 - I've wasted about six hours today trying to get mediatomb built and working the way it was.

I really think users should have been given a warning or choice or notification or something when they upgraded to Lucid - mediatomb has plenty of js script support and users.

MikeN (mike-mtb) wrote :

Raik Bieniek, you're a hero in this household, your version is working just fine - you saved me from having to rebuild the server. Many, many thanks.

hi_dencity (hi-dencity) wrote :

The PPA also works for me. Thanks!

Corey Kearney (snkiz) wrote :

ppa is working for me as well could we get this pushed it proposed? 3 years is a long time to go with a broken media server if we go 10.04 >> 12.10

The patch needs work since it's only made for one xulrunner release and
we rebuild xulrunner with new releases regularly. I probably won't get
to this until next month, but I think we can get it into Lucid.

On 05/09/2010 09:41 PM, Corey Buckingham wrote:
> ppa is working for me as well could we get this pushed it proposed? 3
> years is a long time to go with a broken media server if we go 10.04 >>
> 12.10
>
>

Micah Gersten (micahg) wrote :

Added a Maverick milestone so I don't forget about this. We'll update Lucid once the fix is in Maverick.

Changed in mediatomb (Ubuntu):
milestone: none → maverick-alpha-2
assignee: nobody → Micah Gersten (micahg)
aatoma (antonio-toma) wrote :

I don't know if including a minor version upgrade breaks Ubuntu LTS policy, but MediaTomb 0.12.1 fixes Youtube Videos so, if someone is going to work on this ....

Changed in mediatomb (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) wrote :

@aatoma
Please file a new bug for that. Maybe the functionality can be
backported to Lucid.

On 06/08/2010 08:55 AM, aatoma wrote:
> I don't know if including a minor version upgrade breaks Ubuntu LTS
> policy, but MediaTomb 0.12.1 fixes Youtube Videos so, if someone is
> going to work on this ....
>

Markus Voss (foobar2) wrote :

So - now that an upgrade to xulrunner is available we ran into the same issue.
I'd like to keep my mediatomb installation intact - but also would like to stay current with the distribution.

Is there any fix in sight that will remove the dependency between xulrunner and mediatomb?

Many thanks,
Markus.

Raik Bieniek (jinto) wrote :

I've uploaded a updated version. Binary packages should be available soon.
I've also created a rss feed for me that informs me of xulrunner updates for the next times. ;-)

godsyn (godsyn) wrote :

Raik Bieniek, I'm using your (updated) PPA. It is working well. Thank you (again) for the time and effort put into this.

Micah Gersten (micahg) wrote :

Pushing this back until Maverick beta.

Changed in mediatomb (Ubuntu):
milestone: maverick-alpha-2 → ubuntu-10.10-beta
Josch (johannes-schwan-net) wrote :

JS support is still not in... even in Beta 10.10, isn't it?

Micah Gersten (micahg) wrote :

 No, sorry, I still need to fix this.

On 09/05/2010 03:08 AM, Josch wrote:
> JS support is still not in... even in Beta 10.10, isn't it?
>

Arian van Dorsten (jwasys) wrote :

Hello,

How difficult would it be to use python instead of js ?

Arian

Josch (johannes-schwan-net) wrote :

@ Micah:
Will it be fixed in final 10.10?

Micah Gersten (micahg) wrote :

 I will try to re-enable when I merge from Debian.

On 09/07/2010 03:53 AM, Josch wrote:
> @ Micah:
> Will it be fixed in final 10.10?
>

Josch (johannes-schwan-net) wrote :

Yes plz, without js mediatomb is only half as usefull

Josch (johannes-schwan-net) wrote :

Any existing news?

Scott Frappier (sfrappier) wrote :

I was curious on this topic as well - I'm having issues with duplicates in Windows Media Player 12 that I'd like to get resolved and it requires the .js modifications (which I cannot enable or change). As a temporary fix, I have switched to XBMC but I have a bunch of home computers that I would rather not add additional software to in order to address the core issue (even if it is a WMP uPnP issue).

I am running 10.04.1 LTS - I didn't need a GUI and just wanted a solid media server that runs on a USB stick so I can change hardware as needed.

Josch (johannes-schwan-net) wrote :

@ Micah
is mediatomb with JS support now in the RC of 10.10?

Micah Gersten (micahg) wrote :

Sorry, this didn't make it into Maverick, but I'll add it after Natty opens and then we should be able to SRU it into Lucid and Maverick.

Changed in mediatomb (Ubuntu):
milestone: ubuntu-10.10-beta → maverick-updates
Josch (johannes-schwan-net) wrote :

Thanks for the reply.
If i understood you right: there will be an update for Maverick concerning mediatomb with JS?
How good is the chance to get it within this year? Thanks in advance.

godsyn (godsyn) wrote :

@Raik Bieniek
Can we get an update on your patched version (ppa) to run with the new xulrunner seeing as it still hasn't been implemented to the main repos?
mediatomb-common: Depends: xulrunner-1.9.2 (< 1.9.2.12) but 1.9.2.12+build1+nobinonly-0ubuntu0.10.04.1 is to be installed.

Raik Bieniek (jinto) wrote :

Somehow I missed that one. Thanks for informing me.

The problem is, I no longer use lucid so I'm not directly affected and my automatic informing system failed this time. I didn't thought that I have to maintain this ppa that long. :-(

I'd love to see this make it into Maverick as an SRU. I tried to update the diff above for Maverick and xulrunner 1.9.2.12, but my experience in Debian packaging was unfortunately insufficient. One of these days I'm going to have to read the documentation...

Micah Gersten (micahg) wrote :

I'm sorry, I do plan on SRUing this to Maverick and Lucid, but I just
haven't had time yet.

On 11/04/2010 11:44 PM, Brandon Konkle wrote:
> I'd love to see this make it into Maverick as an SRU. I tried to update
> the diff above for Maverick and xulrunner 1.9.2.12, but my experience in
> Debian packaging was unfortunately insufficient. One of these days I'm
> going to have to read the documentation...
>

I finally figured out how to put a PPA together, so I've got a working version of mediatomb 0.12.1 for Maverick with JS enabled: https://launchpad.net/~brandon-konkle/+archive/mediatomb-js

dukenstein (dridge81) wrote :

I think there may be a problem with the dependencies in your ppa, Brandon. It won't let me install it unless I install 68 additional packages; none of which appear to have any relevance to mediatomb. Many of them are development and graphical libraries. I'm very interested in trying out your version, but I don't want to install all of that other junk if I don't need to.

Your effort is greatly appreciated, though; I'm grateful that you guys are trying to address these issues that seem to be plaguing many users.

VPablo (villumar) wrote :

Yes, there are so many libraries of development that I think there are not useful for Mediatomb.

Thanks.

Raik Bieniek (jinto) wrote :

Hi,

here are the changes that need do be done for maverick. You need mediatomb_0.12.1.orig.tar.gz and the files I've attached. Than you can do dpkg-source -x mediatomb_0.12.1-0ubuntu1custom2.dsc.

For every xulrunner update you need to update the dependencies for the new version in the control file (the _2_ lines containing xulrunner-1.9.2-dev (>=1.9.2.12), xulrunner-1.9.2-dev (<< 1.9.2.13) ) and add an new entry in the changelog file. Thats all. The problem is that xulrunner updates very often. :-(

Maybe this could be avoided by renaming the mediatomb executable to mediatomb.real and make the mediatomb comand a wrapper script containing:
#!/bin/sh
IFS="
"
LD_LIBRARY_PATH=/usr/lib/xulrunner-`xulrunner --gre-version` /usr/bin/mediatomb.real $@

or something. Unfortunaly there is, afaik, no symlink that always points to the most recent version of xulrunner. That would make live much easier.

Sorry to hear that my PPA didn't work out. Raik, thank you for the information! When I get a chance, I'll do some more work on it and test it on a fresh VM this time to make sure that it works. Thanks!

MikeN (mike-mtb) wrote :

Raik,

I'd love to try what you described "...you can do dpkg-source -x mediatomb_0.12.1-0ubuntu1custom2.dsc..." but frankly haven't got a clue how to do it! I would like to know (a) if it should work for Lucid and (b) if you could either point me to some more basic instructions on how to build a package or be kind enough to spell it out a bit for an old fart who has never built one before!

I've downloaded the two files you indicated but really haven't any idea how to use them or what to make of the contents (I just ended up more confused)!?!

If I can get mediatomb-js working on Lucid I'll have a happy family again, I'd even be happy to make the results available to others, updating it whenever xulrunner changes - hell, I might even lbe able to finally give something back to the community.

Raik Bieniek (jinto) wrote :

@MikeN maybe you can find some Help here: https://help.launchpad.net/Packaging/

At the moment i get the following error message when trying to upload the most recent version of the lucid package:

Rejected:
Unhandled exception processing upload: 'NoneType' object has no attribute 'md5'

I asked some people on #launchpad channel on freenode and they told me that this is an Launchpad-Bug which will be fixed in a couple of days. So i will try to upload the lucid package again in a couple of dayes.

MikeN (mike-mtb) wrote :

Hi Raik,

Thanks for the info. If you are able to get mediatomb-js working again on Lucid in the next couple of days, you can officially rename yourself Santa Claus, at least in this household! Your help on this is VERY appreciated.

In the meanwhile I'll start reading the link you posted, to better understand what is going on. I actually managed to "do dpkg-source -x mediatomb_0.12.1-0ubuntu1custom2.dsc" with a bit of trial and error, though have come unstuck with some unresolved dependancies... but that's how we learn. I'm only guessing that what I'm doing is right but it seems to be getting there... maybe!

Many thanks again for your efforts.

Tybion (db-collins) wrote :

I did no good with the PPA, but with Maverick, if you want to get Mediatomb running without the JS scripts (eg. as a get-around for Christmas), you just need to change one line in /etc/mediatomb/config.xml ..

<virtual-layout type="js">
->
<virtual-layout type="builtin">

All the other lines referring to .js files can stay there, so you can revert the config file later easily.

Christophe Olinger (olingerc) wrote :

I know that asking for bugs to be resolved in the bugs comments is not the way to do it, but I am getting desperate hear. Can somebody please have a look at this. Pretty please with sugar on top.

MikeN (mike-mtb) wrote :

I know it isn't a perfect solution but, as a temporary workaround and to take the pressure off the developers, I've discovered that there is a statically built version of 0.11.0r2 still available on the sourceforge pages (http://sourceforge.net/projects/mediatomb/files/MediaTomb/0.11.0/) which has js enabled. I'm now using the i386 version and it works.

It may be a bit old and not have all the latest bells and whistles, but it works on 10.04 LTS (so I would hope it would work for 10.10).

Good luck and Merry Christmas.

hansjust (hansjust) wrote :

Is it necessary to limit the version of xulrunner by using "xulrunner-1.9.2-dev (<< 1.9.2.13)" ? Wouldn't it just be easier to say any xulrunner greater than 1.9.2 and leave it at that?

Raik Bieniek (jinto) wrote :

The problem is that the path to the necessary library libmozjs.so changes with every xulrunner update. For 1.9.2.13 it is /usr/lib/xulrunner-1.9.2.13/libmozjs.so for example.

There are 2 possibilities to solve this problem (afaik). Hardcode the path at compile-time into the binary. That's what i do. This requires a new version for every new xulrunner version.

The second possibility is to write a wrapper script for mediatomb executable that assign the path to the LD_LIBRARY_PATH variable and then starts the real mediatomb executable. With that there would be no need for an update on every new xulrunner version as long as libmozjs.so stays binary compatible.

MikeN (mike-mtb) wrote :

There are three options, surely? Use the mediatomb build flags to produce a static build, that way it won't break each time xulrunner changes. True, it means it is using out of date code but at least it doesn't have to be rebuilt each time.

Micah Gersten (micahg) on 2011-01-10
Changed in mediatomb (Ubuntu Maverick):
importance: Undecided → Wishlist
status: New → Triaged
assignee: nobody → Micah Gersten (micahg)
Changed in mediatomb (Ubuntu Natty):
milestone: maverick-updates → none
Micah Gersten (micahg) on 2011-01-10
tags: added: regression-release
godsyn (godsyn) wrote :

Does this mean that there are no plans to resolve the broken package?

Micah Gersten (micahg) wrote :

No, it just means that I made sure all the tags and tasks are current :)

On 01/10/2011 06:12 PM, godsyn wrote:
> Does this mean that there are no plans to resolve the broken package?
>

Nobody wants to fix this?

Raik's patch works for me ... THX !!!

@Raik: Thx for the recent update of your fix :-)

velofreak (velofreak) wrote :

The latest update for lucid seems to work! Many Thanks!!

Chris Russo (osgeek) wrote :

If it's fixed, then why is there no indication of it in this bug? I certainly don't see a new version of mediatomb on Maverick.

Any news for lucid ?

bealer (robertbeal) wrote :

This still occurs in 11.04

bealer (robertbeal) wrote :

I got this working in Natty (and it should work in earlier releases) simply by adding the Karmic repository to my apt sources (ie, sudo gedit /etc/apt/sources.list). I then simply force and lock the "mediatomb", "mediatomb-common" and "mediatomb-daemon" packages. Annoyingly update manager will still try to install the latest Natty version, but apart from that everything works with full js support. It just means I have the Karmic repo's loaded in my system but I can live with that.

This bug is open since 2010 !!
Does mediatomb is a reliable solution ?

gna (nagy-gergely) wrote :

Bump

Is there no option than build for myself? And this only because the current JS library cannot be !simply! put into the place of the dropped one?

MNLipp (mnl) wrote :

It's a bit more difficult because the old JS library's API isn't available any more. And the old library is really, really, outdated, meaning that there are no security fixes either, so I can understand that it was dropped.

Actually, it'd be up to MediaTomb (upstream) to update MediaTomb. But this project seams to be dead (last activity 2010). I've had a look at the MediaTomb code, but IMHO it's too ugly to fix anything. I have decided to live with MediaTomb without JS until I have my own server implementation ready.

gna (nagy-gergely) wrote :

The "grab libjs from debian, and build for yourself" is a way to go, but dirty.
 http://tobias-zimmer.blogspot.com/2011/07/howto-compile-mediatomb-with-javascript.html

But (mnl) you could tell more about: "until I have my own server implementation ready." Because right now for my samsung smart tv its the easy solution.

MNLipp (mnl) wrote :

"My own solution" is still going to take some time, just mentioned it because starting my project was triggered by MediaTomb having obviously been abandoned. Thanks for the link, should be helpful for everybody who comes across this bug.

Rolf Leggewie (r0lf) wrote :

maverick has seen the end of its life and is no longer receiving any updates. Marking the maverick task for this ticket as "Won't Fix".

Changed in mediatomb (Ubuntu Maverick):
status: Triaged → Won't Fix
Rolf Leggewie (r0lf) wrote :

natty has seen the end of its life and is no longer receiving any updates. Marking the natty task for this ticket as "Won't Fix".

Changed in mediatomb (Ubuntu Natty):
status: Triaged → Won't Fix
Micah Gersten (micahg) on 2015-03-12
Changed in mediatomb (Ubuntu Natty):
assignee: Micah Gersten (micahg) → nobody
Changed in mediatomb (Ubuntu Maverick):
assignee: Micah Gersten (micahg) → nobody
Changed in mediatomb (Ubuntu Lucid):
assignee: Micah Gersten (micahg) → nobody
Changed in mediatomb (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
MNLipp (mnl) wrote :

Well, I think I'll simply keep recompiling it myself. After all, not everything needs to be packaged... It's a pity though, because I know of no other UPnP/DLNA server as flexible as mediatomb.

Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in mediatomb (Ubuntu Lucid):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers